calssim {msbase} | R Documentation

## Similarity function for comparison of two peak-lists.

### Description

PLs can be easily aligned if they have many matching peaks and the masses of this peaks span a wide mass range. The alignment of two PL fails if no matching peaks are found. We describe this properties mathematically by the following similarity measure.

S(A,B)=(sum_(i=1)^n sum_(j=i+1)^(n) |m_j-m_i|^p)^(1/p)

n is the number of matches and m_i and m_j are the masses of matching peaks. The measure computes the sum of all mass differences of matching peaks. The power p can be used to weight large differences stronger.

### Usage

    calssim(x, p)
    calsrange(x, p)

### Arguments

`x` | masses of matching peaks
`p` | additional parameter

### Details

### Value

similarity between peak-lists

### Note

### Author(s)

W.E.Wolski witek96@users.sourceforge.net

### References

### See Also

`cals-methods`

### Examples

[Package msbase version 1.5.0 Index]